Bug 139894 - KDE SMB kioslave missing
Summary: KDE SMB kioslave missing
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdenetwork   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-18 17:48 UTC by TU/ADS Atlanta Unix Operations
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-22 10:48:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description TU/ADS Atlanta Unix Operations 2004-11-18 17:48:52 UTC
Description of problem: 
SMB kioslave missing from KDE installation. 
 
Version-Release number of selected component (if applicable): 
[aklang@tud1626r:/opt/cxoffice/bin] (pts/3) 
[Thu Nov 18 12:50:39]$ cat /etc/redhat-release 
Red Hat Enterprise Linux Desktop release 3.90 (Nahant) 
 
[aklang@tud1626r:/opt/cxoffice/bin] (pts/3) 
[Thu Nov 18 12:50:43]$ rpm -q kdebase 
kdebase-3.3.1-4 
 
[aklang@tud1626r:/opt/cxoffice/bin] (pts/3) 
[Thu Nov 18 12:50:44]$ rpm -q kdenetwork 
kdenetwork-3.3.1-2 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Alt-F2 to bring up the run window 
2.Enter an smb:// URL: smb://vsi01 
3.Press Enter. Error message appears: 
smb://vsi01 
Could not run the specified command. 
 
   
Actual results: 
Error message returned 
 
Expected results: 
Able to browse windows shares native in KDE 
 
Additional info: 
This worked in ES3.

Comment 1 Ngo Than 2004-11-22 10:48:53 UTC
it's a bug in samba-3.0.8-3. There're unresolved symbols in
libsmbclient which caused applications such as KDE's konqueror to fail
when accessing smb:// URLs.

i have made a patch to fix this problem. it's now in samba-3.0.8-4,
which will show up in rawhide soon, Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.